> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# 通知設定を一覧表示

> 認証済みユーザーに対して解決済みのメール通知設定を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /notifications/preferences
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /notifications/preferences:
    get:
      tags:
        - 通知
      summary: 通知設定を一覧表示
      description: 認証済みユーザーに対して解決済みのメール通知設定を取得します。
      operationId: listNotificationPreferences
      responses:
        '200':
          description: 通知設定を正常に取得しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  preferences:
                    type: array
                    items:
                      $ref: '#/components/schemas/NotificationPreference'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    NotificationPreference:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/NotificationType'
        email_enabled:
          type: boolean
          description: 認証済みユーザーに対して解決済みのメール設定
        source:
          type: string
          description: 解決済み設定の取得元
          enum:
            - user
            - company
            - type
    NotificationType:
      type: object
      properties:
        code:
          type: string
          example: scheduled_scan.daily_report
        name:
          type: string
          example: Daily Scheduled Scan Report
        description:
          type: string
          example: >-
            Summary email sent once per day with new issues discovered by
            scheduled scans.
        category:
          type: string
          example: scheduled_scans
        audience:
          type: string
          enum:
            - company_admins
            - all_users
        default_email_enabled:
          type: boolean
        default_webhook_enabled:
          type: boolean
  responses:
    Unauthorized:
      description: トークンが無効か、指定されていません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Missing or invalid authorization header
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````